Package csb :: Package test :: Class Console

[frames] | no frames]

# Class Console

source code

    object --+
             |
            Console

Build and run all tests of the specified namespace and kind.

Instance Methods

__init__(self, namespace=`(``'``__main__``'``)`, builder=<class 'csb.test.AnyTestBuilder'>, verbosity=1, update=False, generated_data=`'``/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/test/data``'`, argv=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

parseArguments(self, argv) | source code

run(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| BUILDERS = ``{``'``any``'``:` <class 'csb.test.AnyTestBuilder'>`,` `'``custom``'``...``

Properties
| builder
| builders
| generated_data
| namespace
| program
| update
| verbosity
Inherited from `object`: `__class__`

Method Details

### __init__(self, namespace=`(``'``__main__``'``)`, builder=<class 'csb.test.AnyTestBuilder'>, verbosity=1, update=False, generated_data=`'``/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/test/data``'`, argv=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `namespace` (str) - a dotted name, which specifies the test module (see csb.test.AbstractTestBuilder.loadTests)
  - `builder` (any csb.test.AbstractTestBuilder subclass) - test builder to use
  - `verbosity` (int) - verbosity level for `unittest.TestRunner`
  - `update` (bool) - if True, refresh all pickles in csb/test/data
  - `generated_data` (str) - where to cache generated test files (directory)
Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### BUILDERS

Value:

      {'any': <class 'csb.test.AnyTestBuilder'>,
       'custom': <class 'csb.test.CustomTestBuilder'>,
       'functional': <class 'csb.test.FunctionalTestBuilder'>,
       'regression': <class 'csb.test.RegressionTestBuilder'>,
       'unit': <class 'csb.test.UnitTestBuilder'>}

Property Details

### builder

Get Method:
  unreachable.builder(self)
Set Method:
  unreachable.builder(self, value)

### builders

Get Method:
  unreachable.builders(self)

### generated_data

Get Method:
  unreachable.generated_data(self)
Set Method:
  unreachable.generated_data(self, value)

### namespace

Get Method:
  unreachable.namespace(self)
Set Method:
  unreachable.namespace(self, value)

### program

Get Method:
  unreachable.program(self)

### update

Get Method:
  unreachable.update(self)
Set Method:
  unreachable.update(self, value)

### verbosity

Get Method:
  unreachable.verbosity(self)
Set Method:
  unreachable.verbosity(self, value)